Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdService

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdService

Direct Known Subclasses:
  `cmdService.VAT`

    public class cmdService
    extends DatecsFiscalDevice

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdService.VAT` | This class contains methods for handling tax rates (VATS), Decimal point and currency

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdService()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `customCommand​(java.lang.String s, java.lang.String s1)` |
  `java.lang.String` | `GetFiscalMemoryNumber()` |
  `void` | `PrintBluetoothInfo()` | Print Diagnostic Info
  `void` | `PrintDiagnosticInfo()` | Print Diagnostic Info
  `void` | `PrintLANInfo()` | Print Diagnostic Info
  `void` | `PrintNRAConnectionInfo()` | Print information about the connection with NRA server
  `void` | `TestOfTheModem()` |
  `void` | `TestOfTheModemNoPPP()` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdService

    public cmdService()

- ## Method Details

  - ### customCommand

    public java.lang.String customCommand​(java.lang.String s, java.lang.String s1) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### TestOfTheModem

    public void TestOfTheModem() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### TestOfTheModemNoPPP

    public void TestOfTheModemNoPPP() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### PrintNRAConnectionInfo

    public void PrintNRAConnectionInfo() throws java.lang.Exception
    Print information about the connection with NRA server
    Throws:
      `java.lang.Exception`

  - ### PrintDiagnosticInfo

    public void PrintDiagnosticInfo() throws java.lang.Exception
    Print Diagnostic Info
    Throws:
      `java.lang.Exception`

  - ### PrintBluetoothInfo

    public void PrintBluetoothInfo() throws java.lang.Exception
    Print Diagnostic Info
    Throws:
      `java.lang.Exception`

  - ### PrintLANInfo

    public void PrintLANInfo() throws java.lang.Exception
    Print Diagnostic Info
    Throws:
      `java.lang.Exception`

  - ### GetFiscalMemoryNumber

    public java.lang.String GetFiscalMemoryNumber() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`